<?
function str($link,$k_page,$page)
{
global $user;
$in=-3;
$out=3;
if (isset($user['str']))
{
$k_s=intval($user['str']);
$in=-$k_s;
$out=$k_s;
}

echo "Стр: [";
if ($page!=1)
{
echo "<a href=\"".$link."page=1\">1</a>";
}
else
{
echo "<b>1</b>";
}
for ($ot=$in; $ot<=$out; $ot++)
{
$t_str=$page+$ot;
if ($t_str>1 && $t_str<$k_page)
{
if ($in==$ot && $t_str>2)
{
echo " ..";
}
if ($ot!=0)
{
echo " <a href=\"".$link."page=$t_str\">$t_str</a>";
}
else
{
echo " <b>$t_str</b>";
}
if ($ot==$out && $t_str<$k_page-1)
{
echo " ..";
}
}
}
if ($page!=$k_page)
{
echo " <a href=\"".$link."page=end\">$k_page</a>";
}
elseif ($k_page>1)
{
echo " <b>$k_page</b>";
}
echo "]";

}


function page()
{
global $k_page;
$page=1;
if (isset($_GET['page']) && $_GET['page']!='')
{
if (isset($k_page) && $_GET['page']=='end')
$page=intval($k_page);
else
$page=intval($_GET['page']);
}
return $page;
}




function k_page($k_post,$k_p_str)
{
if ($k_post!=0){
$v_pages_okr=round($k_post/$k_p_str, 0);
$v_pages_tochn=$k_post/$k_p_str;
if ($v_pages_okr>=$v_pages_tochn)
return $v_pages_okr;
else
return $v_pages_okr+1;
}
else
return 1;
}


?>
